#
# spec file for package yast2-gtk (Version 2.20.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Url:            http://en.opensuse.org/YaST2-GTK

Name:           yast2-gtk
Version:        2.20.5
Release:        1.3.1
License:        LGPLv2.1+
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-gtk-2.20.5.tar.bz2
Prefix:         /usr
Source2:        yast2-gtk-rpmlintrc
BuildRequires:  blocxx-devel gcc-c++ gtk2-devel libxcrypt-devel libzypp-devel yast2-devtools
BuildRequires:  yast2-core-devel >= 2.16.27
BuildRequires:  yast2-libyui-devel
Requires:       yast2-core >= 2.16.27
Summary:        YaST2 - Gtk Graphical User Interface
Provides:       yast2_ui
Provides:       yast2_ui_pkg

%description
One of several user interfaces available for YaST2, based on GTK and
the X Window System.



Authors:
--------
    Ricardo Cruz
    Michael Meeks

%prep
%setup -n yast2-gtk-2.20.5

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
rm $RPM_BUILD_ROOT%{_libdir}/YaST2/plugin/libpy2gtk.la

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr (-, root, root)
%doc %{prefix}/share/doc/packages/yast2-gtk
%{_libdir}/YaST2/plugin/libpy2gtk.so.*
%{_libdir}/YaST2/plugin/libpy2gtk.so
%{_datadir}/YaST2/gtk

%changelog
* Tue Oct 27 2009 coolo@novell.com
- cherry pick gcc 4.4 issues
* Wed Oct 21 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.20.1 - 2.20.5
- build attempts.
* Wed Oct 21 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.20.0
- revert to 11.1 code (bcn#547075).
* Fri Oct 16 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.17
- fixes crash on online_update (on applies-to property).
* Fri Oct 16 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.16
- improved speed up fix: only query libzypp when
  respective expander is open.
- bug fix: don't over-suffix "B" to size strings.
- popup confirm dialog, rather than having the user to
  double-click apply button.
- don't disable installed tab on repositories view.
- disable version action button if the action is already
  undertaken.
* Fri Oct  2 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.15
- another try.
* Fri Oct  2 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.14
- trigger rebuild.
* Thu Oct  1 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.13
- bug fix: failing to map packages to a couple of categories.
- speed fix: improved startup speed.
* Wed Sep 30 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.11
- bug fix: package details box now respond to scroll keys.
* Thu Sep 24 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.10
- package manager got a face re-lift
- fire the browser as the session's user (bcn#523694).
- table selection ignored for a few seconds (bnc#513085).
- complement our label mapping strategy with an array
  of translatable yast2 labels (bnc#446524)
- always use black color on the text against the white
  background regardless style (bnc#471059).
- don't show lock&remove options for patterns (bnc#489016).
* Thu Jun  4 2009 mkudlvasr@novell.com
- teared away PackageSelector. It now resides in a separate plugin
  package yast2-gtk-pkg
* Thu Jun  4 2009 coolo@novell.com
- adapt to new libzypp
- 2.18.1
* Mon Apr 27 2009 coolo@suse.de
- fix compilation with gcc 4.4
- 2.18.0
* Wed Jan  7 2009 michael.meeks@novell.com
  * label / tick spacing in wizard #449320#
  * table multi-select fix #460746#
  * layout / alignment fix #460728#
  * another Arabic fixes #449627#, #449600#
  * fixed issue with small displays #442052#
  * fixed labeling and button icon problems. #449740#, #446524#
  * fix window / titling issues #449385#, #449194#
  * package selector fixes #457563#, #448309#, #459313#
  * misc. other fixes #443214#, #446352#, #445950#
* Mon Dec  1 2008 coolo@suse.de
  * fixes to cope with Arabic and other languages of
  a right-to-left writing style.
  * 2.17.8
* Fri Nov 21 2008 coolo@suse.de
  * fixed online update (bnc#446352)
  * fixed patterns order.
  * 2.17.7
* Wed Nov 19 2008 coolo@suse.de
- new version on behalf of Ricardo: 2.17.6
  * a couple of esoteric yet nasty bugs (read:
  crashes) have since been fixed.
  (bnc#442052 & bnc#445158)
* Sun Nov  9 2008 coolo@suse.de
- Update to 2.17.5
  * several fixes in the wizard and package selector
- fix spec file to build
* Wed Oct 29 2008 michael.meeks@novell.com
- Update to 2.17.4
  * sizing fixes to wizard, partition splitter, ratiobox
  * improved tooltips
  * package selector fixes: updated zypper API use,
    add unsupported support, updated recent spin box, png
    icons, ergonomic fixes, sync groups with qt, support
    non-edit mode
  * bar graph color fixes
  * help / history
  * selectable multi-line labels
  * fixes to scrolling widgets
* Mon Oct 13 2008 michael.meeks@novell.com
- Update to 2.17.3
  * fix up unit tests
  * fix strechability & sizing
* Wed Oct  8 2008 michael.meeks@novell.com
- Update to 2.17.2
  * tons of bug fixes: 428974, 432705, 428965, 428965,
    428193, 428162, 388172 including:
  * improved accessibility support: dialog roles, wizard overview
  * improved tooltip support, and new tooltips
  * use WebKit for better html rendering
  * fix g_log redirection crasher
  * support background image with html
  * use gtk+ stock icons for stock dialogs
* Tue Sep 30 2008 kmachalkova@suse.cz
- Update to 2.17.1
  * YGDialog: support for setDialogTitle().
  * ygtkfindentry: added support embed context menu which pairs the find icon to
    the menu item.
  * YGPackageSelector: changed find entry check-based menu popup to
    a criteria choice one.
  * ygtkfindentry: added auto-completion support.
  * makes progress bar a bit smoother.
  * show download size in the progress bar.
  * bnc #421794: clean any emitted event when destroyed. The new
    libyui crashes when doing YWidget::isValid()
  * YGText: set MultiLineEdit wrap mode as WORD_CHAR.
  * YGDialog: only enable spy code for recent libyuis.
  * YGTable: expand tree's row when selected
  * YGPushButton: only enable role code for recent libyuis.
    Also moved helpButton support to set icon code.
  * added support for YDialog::highlight()
  * coupled dumpGtk and dumpYast trees into the same dialog
  * YGPackageSelector: fixed context menu for objects like Language
    that can't be locked.
  * YGUtils: added fallback to setStockIcon().
  * YGPushButton: use Role as a fallback to derive the stock icon.
  * YGWizard: made the wizard button wrappers to change the button
    label & etc through the YGtkWizard API
* Thu Sep 11 2008 jsrain@suse.cz
- merged texts from proofread
* Tue Sep  9 2008 visnov@suse.cz
- Update to 2.17.0
  * added support for Languages in package selector
  * fixed Pattern installed status.
  * got rid of patterns remove button.
  * clear search entry on UI change.
  * bug fix: not syncing icon properly when entry text was deleted by
  instruction as an insert is triggered.
  * redirect GTK log messages to libyui system.
  * enable html parsing warnings that go to libyui.
  * fixed repositories query (related to bnc #418781).
  * scaping the URL as some characters (like &) were confusing the Pango parser.
  Use the FILE stock icon for the ISO.
* Tue Sep  9 2008 jpr@novell.com
- Update to 2.16.18
  * use "Software Manager" instead of "Package Selector" for
  consistency (bnc #418781)
  * follow GNOME HIG for button layout
  * when filtering a repository, the most appropriate version wasn't
  the one selected (bnc #418896)
  * catch null package repo (bnc #418781)
  * use title capitalization for group names (bnc #418676)
  * add ATK hooks so the screen reader does its job in pixbuf cell
  renderer (bnc #416554)
  * show bugzilla entries in patch description
  * ygtkrichtext glitches (bnc #396692, bnc #404817)
  * fix occasional crash in printer tool
  * show arch for Version and url for Repository
  * new widgets: handlebox, linklabel
  * tabs can now have shortcuts: honor them (bnc #411890)
* Tue Jul 22 2008 jpr@novell.com
- Update to 2.16.17
  * extra whitespace typo in a string (bnc#383897)
  * honor flag for last column (bnc#410341)
  * let the wrapper do an initial check on changes (bnc#400635)
  * implement YTable's multiSelection flag
  * implement shortcutChanged() to set tab labels shortcuts
  * implement setHelpButton() set the help stock icon
  * remove the space for the expanders if the side navegation bar
  is a plain list, as is the case for the firewall tool
  * tweaked some icons as suggested (bnc#404818)
  * don't always iuse the label "upgrade" if re-installs or
  downgrades (bnc#404382)
  * keyboard mnemonics for install/remove buttons (bnc#399256)
  * consider a pattern or a patch installed or not using
  isSatisfied() like yast2-qt. Also made initial patterns loading
  faster. And removed some checks on patches that were causing them
  not to be displayed (bnc#402855)
  * added a background for <pre>.
* Sun Jun 22 2008 jpr@suse.de
- Update to 2.16.16
  * fixed bnc#402316: run the dependency solver at the startup.
  * fixed bnc#402262: fix textdomain error when packaging.
  * fixed bnc#401767: popup menu install entry was using the remove
    icon, while the remove entry was using the
  install icon.
* Fri Jun 20 2008 jpr@suse.de
- Update to 2.16.15
  * fixed bnc#401336: unable to resize column in sysconfig editor
  * fixed bnc#386410: label widgets are set uppercase.
  * fixed bnc#401835: if radio buttons weren't set in a radio group,
    then they'd crash when clicked
  * fixed bnc#401228: "Children widgets aren't disabled in gtk ui
  * fixed bnc#401285: HSpacing broken in gtk ui
  * fixed bnc#399465: for some package show empty software
    dependence window
  * fixed bnc#396692: glitches with breaklines and spaces around
    inline tag: for some package show empty
    software dependence window
* Sun Jun  8 2008 coolo@suse.de
- Update to 2.16.14
  * fixed bnc#395484: Wrong check that assumed error was set, crashing...
  * fixed bnc#396731: popup menu from the button up when near the bottom corner.
  * fixed bnc#396360: ignoring the alignment for the last column, so it aligns left
  * fixed bnc#396033: Some minor bug
  * fixed bnc#393143: cursor ownership was not judged properly
  * fixed bnc#398272: enable scroll bar on Filtered Repositories
* Tue Jun  3 2008 coolo@suse.de
- Update to version 2.16.13
  * tag more missing strings for translation (bnc#395803)
  * fixed bnc#395484
  * various fixes in the package selector by Ricardo
* Mon May 19 2008 mmichael@suse.de
- Update to version 2.16.12
  * make PackageSelector more usable bnc #390471
  * impl. mnemonics on frames bnc #390244
  * fix window transience (hidden popups) bnc #389635
  * add recommended/selected to categories
  * tag main package-selector buttons for translation
  * calm progress bar warnings (for stupid values eg. -5%%)
* Wed May 14 2008 mmichael@suse.de
- Update to version 2.16.11
  * fix various 640x480 sizing problems
  * fix window-larger-than-screen issue bnc #373159
  * fix size allocation issue bnc #390031
* Mon May 12 2008 mmichael@suse.de
- Update to version 2.16.10
  * fix i18n issues
  * remove size cropping bnc #388715
  * fix focus issue bnc #388718
  * repo filter fix bnc #386536
* Wed May  7 2008 jpr@suse.de
- Update to version 2.16.9
  * only set 'fullscreen' on the main bnc #385563
  * property OpenItems of Tree widget broken bnc #381648
  * CurrentItem in Tree widget also grabs keyboard focus bnc #387114
  * allow for smaller windows bnc #381689, partly bnc #373159
  * Query items of DumbTab broken bnc #381195
  * support all radio buttons being disabled bnc #373160
  * property SelectedItems for widget MultiSelectionBox broken
  bnc #381746
  * debug message on abort User and Group Administration bnc #384135)
  * scroll YLog text down properly
  * finish button not highlighted bnc #384649
  * fix patterns installstate, and added popup with info about them
  like -qt.
  * added highlighting for exact package matches
  * add support for repoMgrEnabled bnc #381956
* Mon Apr 21 2008 jpr@suse.de
- Fix live installer sizing (bnc #381153)
- Combo box improvements
- Minor warning fixes
* Thu Apr  3 2008 coolo@suse.de
- adopt to latest libzypp
* Fri Mar 28 2008 jpr@suse.de
- don't hide package info/control view once shown (bnc #373474)
* Tue Mar 25 2008 coolo@suse.de
- update from SVN to compile with latest libzypp
* Thu Feb 28 2008 coolo@suse.de
- fix make dist
* Wed Feb 27 2008 coolo@suse.de
- make it link again
* Mon Feb 25 2008 sh@suse.de
- V 2.16.5
- Added "Provides: yast2_ui_pkg" to .spec file (bnc #363958)
* Thu Feb 21 2008 coolo@suse.de
- fix build
* Thu Feb 21 2008 coolo@suse.de
- compile against yast2-core and libzypp
- V 2.16.4
* Mon Feb  4 2008 coolo@suse.de
- adapt once more to latest yast2-core
* Thu Jan 31 2008 coolo@suse.de
- make it compile against latest yast2-core
* Sun Jan 27 2008 coolo@suse.de
- fix changelog
* Fri Jan 18 2008 coolo@suse.de
- Ricardo fixed make test
* Wed Jan 16 2008 coolo@suse.de
- update to latest yast2-core API
* Fri Jan 11 2008 btimothy@suse.de
- Updating the tarball directly from SVN Trunk revision to be
  version 2.15.9r43566 so the package won't fail to build anymore.
- Removed all the old patches since they are no longer necessary
  with newer code.
* Wed Oct 24 2007 btimothy@suse.de
- Include patches from SVN head to fix various package selector
  bugs.  Included are fixes for bugzilla.novell.com bugs: 300390
  300750, 300737, 330235, 330467, 336124.
* Sat Oct  6 2007 mmichael@suse.de
- n#300750: big speedup wrt. search / sort
* Tue Sep 25 2007 sreeves@suse.de
- Partial fix for Bug# 328213 - package selector untranslated
* Sun Aug 26 2007 mmichael@suse.de
- n#300390: warn if cancelling a non-submitted transaction.
* Fri Aug 10 2007 mvidner@suse.cz
- Finished integrating Feature #120292, UI as a namespace callable
  from yast2-*-bindings.
- 2.5.9
* Wed Aug  8 2007 mmichael@suse.de
- #296945: pulse progress bar impl.
- FaTE #302018: details on how to print the license
- 2.15.8
* Wed Aug  8 2007 mvidner@suse.cz
- Don't build-require yast2-devel-doc.
- 2.15.7.2
* Mon Aug  6 2007 mvidner@suse.cz
- Adapted to changes in yast2-core needed for making UI callable from
  yast2-*-bindings.
- 2.15.7.1
* Thu Jul 26 2007 jsrain@suse.cz
- removed yast2-devel from BuildRequires
- 2.15.7
* Mon Jul 23 2007 mmichael@suse.de
- fix crash-on-start n#293065
- fix uninitialized warnings
- fix empty-partition divide by 0 case
- 2.15.6
* Mon Jul 16 2007 jsrain@suse.cz
- adapted to new libzypp
- added support for translations
- 2.15.5
* Thu Jun 21 2007 mmichael@suse.de
- upgrade to yast2-gtk-2.15.4, fixes many bugs, pwrt.
  package selector, improved search, multi-select for
  installations &, large scale robustness & functionality
  table-sorting fix, progress bar fix, initial easter-egg,
  add rpmlintrc to avoid complaints about plugin .so name
* Fri May 11 2007 mmichael@suse.de
- upgrade to yast2-gtk-2.15.3, fixes #268146, #271716
  and improves package selector search / sort.
* Tue Apr 17 2007 mmichael@suse.de
- upgrade to yast2-gtk-2.15.2, fixes upgrade.ycp
* Fri Mar 16 2007 mmichael@suse.de
- upgrade to yast2-gtk-2.15.1, several fixes, including #247682, #247683
* Wed Feb  7 2007 mmichael@suse.de
- update to yast2-gtk-2.15.0, fixes build and adds new Frame type
* Wed Aug 30 2006 cthiel@suse.de
- added yast2-gtk-autogen.patch to fix build with latests yast2-devtools
* Mon Aug 28 2006 cthiel@suse.de
- fix build
* Wed Aug 23 2006 mmichael@suse.de
- import yast2-gtk into autobuild.
